Bug 215966 - php-5.2.0 and extension in Extras.
php-5.2.0 and extension in Extras.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 11:59 EST by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.2.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-01 04:20:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch on php.spec to build php-zip and php-json as separated RPM. (2.02 KB, patch)
2006-11-16 12:14 EST, Remi Collet
no flags Details | Diff

  None (edit)
Description Remi Collet 2006-11-16 11:59:14 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Remi Collet 2006-11-16 12:07:14 EST
Oups... (to quick submited)

New php-5.2.0 has "json" enable by default.

I think you could add it in Provides, Remove it (--disable-json) or build it in
a separate package (--enable-json=shared).

php-json is available in the Extras (by fedora@theholbrooks.org)

New php-5.2.0 also bundle "zip", disabled by default.
php-pecl-zip is available in the Extras (by me) : 

Do you want to build it in the core (--enable-zip=shared) or keep it in the extras ?

Regards.

Comment 2 Remi Collet 2006-11-16 12:14:14 EST
Created attachment 141387 [details]
The patch on php.spec to build php-zip and php-json as separated RPM.
Comment 3 Joe Orton 2006-11-27 12:18:37 EST
Thanks Remi.

I think that for both of these it's probably best to just package these in
-common itself, to avoid yet-more-subpackages.  I'm building that for Raw Hide...
Comment 4 Joe Orton 2006-12-01 04:20:37 EST
Fixed in -5 and later.

Note You need to log in before you can comment on or make changes to this bug.